cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-7037) platform check doesn't warn when it can't install a platform
Date Wed, 02 Jul 2014 17:03:26 GMT

    [ https://issues.apache.org/jira/browse/CB-7037?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14050331#comment-14050331
] 

ASF subversion and git services commented on CB-7037:
-----------------------------------------------------

Commit 53f7b2272fc30919ce0b52df04dc073204c76da6 in cordova-lib's branch refs/heads/master
from [~jsoref]
[ https://git-wip-us.apache.org/repos/asf?p=cordova-lib.git;h=53f7b22 ]

CB-7037 platform check doesn't warn when it can't install a platform

cordova platform check will now report when:
 * it can't create a platform
 * it can't run a new platform version script
 * a new platform version script doesn't report a version


> platform check doesn't warn when it can't install a platform
> ------------------------------------------------------------
>
>                 Key: CB-7037
>                 URL: https://issues.apache.org/jira/browse/CB-7037
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: CLI, CordovaLib
>    Affects Versions: 3.5.0
>            Reporter: Josh Soref
>
> `cordova platform check` basically tries to create a new project with the same platforms
as in your current project. It doesn't complain about projects for which it can't get a version
- the original thinking was:
> {quote}
>                 /* If a platform doesn't install, then we can't realistically suggest
updating */
> {quote}
> https://github.com/apache/cordova-lib/blob/0abfcded491fc4e15e24992ba101a5863513a1a7/cordova-lib/src/cordova/platform.js#L250-L251
> The problem is that if you try to add android, it will often fail because one or both
of "android" or "ant" will be missing from your path. Since check can't install android, it
can't get its version and thus can't determine it isn't current. 
> We should add some logic so that it can report that it can't determine instead of making
the admittedly stronger claim of "up-to-date". 
> {quote}
> https://github.com/apache/cordova-lib/blob/0abfcded491fc4e15e24992ba101a5863513a1a7/cordova-lib/src/cordova/platform.js#L262
> {quote}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message